# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Attributes

# vl::Dae::ColorOrTexture Struct Reference

COLLADA color or texture input. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::ColorOrTexture:

List of all members.

## Public Attributes

fvec4 | mColor
ref< Dae::Sampler2D > | mSampler
std::string | mTexCoord

## Detailed Description

COLLADA color or texture input.

Definition at line 333 of file DaeHelpers.hpp.

## Member Data Documentation

fvec4 vl::Dae::ColorOrTexture::mColor

Definition at line 335 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::parseColor(), vl::DaeLoader::setup_vl_Effect(), and vl::Dae::TechniqueCOMMON::TechniqueCOMMON().

ref<Dae::Sampler2D> vl::Dae::ColorOrTexture::mSampler

Definition at line 336 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::parseColor(), and vl::DaeLoader::setup_vl_Effect().

std::string vl::Dae::ColorOrTexture::mTexCoord

Definition at line 337 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::parseColor().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.